# RPM specfile for evolution module
# Generated Wed May  7 17:10:30 2003 GMT by Ximian build system
# $Id: bb_do,v 1.229 2003/04/30 19:40:24 thunder Exp $
# from $Id: ximian-build.conf,v 1.14 2003/05/06 18:49:24 dobey Exp $

%define nam	evolution
%define ver	1.3.3
%define ximrev	2

Name:     	evolution1.3
Version: 	1.3.3
Release:	0.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 9.1 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	evolution-1.3.3.tar.gz
BuildRequires:	bison
BuildRequires:	evo-db3
BuildRequires:	libgtkhtml3.0_1-devel >= 3.0.2
BuildRequires:	libgal2.0_2-devel >= 1.99.3
BuildRequires:	libgnomeprintui2-2_0-devel = 2.2.1.1
BuildRequires:	libxml2-devel
BuildRequires:	libgnomeui2_0-devel
BuildRequires:	intltool >= 0.20
BuildRequires:	libnspr4
BuildRequires:	libnspr4-devel
BuildRequires:	libnss3
BuildRequires:	libnss3-devel
BuildRequires:	gnome-pilot-devel >= 2.0.0
BuildRequires:	krb5-devel
BuildRequires:	flex
BuildRequires:	libldap2-devel
BuildRequires:	libsasl2-devel
Summary:	GNOME's next-generation groupware suite
Group:		Applications/Productivity
Requires:	libgtkhtml3.0_1 >= 3.0.2
Requires:	gtkhtml3.0 >= 3.0.2
Requires:	libgal2.0_2 >= 1.99.3
Requires:	bonobo-activation >= 1.0
Provides:	ximian-evolution1.3 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf2
Prereq:	scrollkeeper

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/share/applications/*
/usr/share/mime-info/*
/usr/share/idl/*
/usr/share/evolution/1.3
/usr/share/pixmaps/*
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/lib/evolution/1.3/*cal*.so.*
/usr/lib/evolution/1.3/libe*.so.*
/usr/lib/evolution/1.3/libwombat.so.*
/usr/lib/evolution/1.3/libversit.so.*
/usr/lib/bonobo/servers/*.server
/usr/lib/evolution/1.3/evolution-calendar-importers/*.so
/usr/lib/evolution/1.3/evolution-mail-importers/*.so
/usr/lib/evolution/1.3/components/*.so
/usr/libexec/evolution/1.3/evolution-wombat
/usr/libexec/evolution/1.3/evolution-addressbook-import
/usr/libexec/evolution/1.3/evolution-launch-composer
/usr/libexec/evolution/1.3/killev
/usr/libexec/evolution/1.3/csv2vcard
/usr/libexec/evolution/1.3/evolution-addressbook-clean
/usr/libexec/evolution/1.3/evolution-alarm-notify
/usr/libexec/evolution/1.3/*importer
/usr/bin/evolution-1.3
/etc/gconf/schemas/*.schemas
/usr/share/omf/*
/usr/share/gnome/help/*
%dir /usr/share/pixmaps
%dir /usr/share/evolution
%dir /usr/lib/evolution
%dir /usr/lib/evolution/1.3
%dir /usr/lib/evolution/1.3/evolution-calendar-importers
%dir /usr/lib/evolution/1.3/evolution-mail-importers
%dir /usr/libexec/evolution
%dir /usr/libexec/evolution/1.3
/usr/lib/evolution/1.3/camel-providers/*.so
/usr/lib/evolution/1.3/camel-providers/*.urls
/usr/lib/evolution/1.3/libcamel.so.*
/usr/libexec/evolution/1.3/camel/camel-index-control
%dir /usr/lib/evolution/1.3/camel-providers
%dir /usr/libexec/evolution/1.3/camel
%attr (2755, root, mail) /usr/libexec/evolution/1.3/camel/camel-lock-helper


%post
ldconfig
env PATH=$PATH:/usr/bin LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib scrollkeeper-update >/dev/null 2>&1
GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/apps_evolution_addressbook.schemas /etc/gconf/schemas/apps_evolution_shell.schemas /etc/gconf/schemas/apps_evolution_summary.schemas /etc/gconf/schemas/evolution-mail.schemas /etc/gconf/schemas/apps_evolution_calendar.schemas
if [ ! -L /usr/bin/evolution-1.4 ]; then ln -s /usr/bin/evolution-1.3 /usr/bin/evolution-1.4; fi

%postun
env PATH=$PATH:/usr/bin LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib scrollkeeper-update >/dev/null 2>&1

%package -n evolution1.3-pilot
Summary:	Evolution conduits for gnome-pilot
Group:		Communications
Requires:	evolution1.3 = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	ximian-evolution1.3-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	evolution-pilot < 1.3

%description -n evolution1.3-pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to
synchronize your Palm with Evolution.

%files -n evolution1.3-pilot
%defattr(-, root, root)
/usr/share/*/conduits/*
/usr/lib/*/conduits/*.so


%package -n evolution1.3-devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/GNOME and GTK+
Requires:	evolution1.3 = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	ximian-evolution1.3-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n evolution1.3-devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%files -n evolution1.3-devel
%defattr(-, root, root)
/usr/include/evolution-1.3/*.h
/usr/include/evolution-1.3/cal-client
/usr/include/evolution-1.3/cal-util
/usr/include/evolution-1.3/e-conduit
/usr/include/evolution-1.3/e-db3util
/usr/include/evolution-1.3/e-util
/usr/include/evolution-1.3/ebook
/usr/include/evolution-1.3/ename
/usr/include/evolution-1.3/importer
/usr/include/evolution-1.3/pas
/usr/include/evolution-1.3/pcs
/usr/include/evolution-1.3/shell
/usr/include/evolution-1.3/widgets
/usr/include/evolution-1.3/wombat
/usr/lib/evolution/1.3/lib*cal*.a
/usr/lib/evolution/1.3/lib*cal*.so
/usr/lib/evolution/1.3/lib*cal*.la
/usr/lib/evolution/1.3/libe*.a
/usr/lib/evolution/1.3/libe*.so
/usr/lib/evolution/1.3/libe*.la
/usr/lib/evolution/1.3/libpas.a
/usr/lib/evolution/1.3/libpcs.a
/usr/lib/evolution/1.3/libversit.a
/usr/lib/evolution/1.3/libversit.so
/usr/lib/evolution/1.3/libversit.la
/usr/lib/evolution/1.3/libwombat.a
/usr/lib/evolution/1.3/libwombat.so
/usr/lib/evolution/1.3/libwombat.la
/usr/lib/pkgconfig/*.pc
%dir /usr/include/evolution-1.3
/usr/include/evolution-1.3/camel
/usr/lib/evolution/1.3/libcamel.so
/usr/lib/evolution/1.3/libcamel.a
/usr/lib/evolution/1.3/libcamel.la


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n evolution-1.3.3
    ;;
all)
%setup  -q -n evolution-1.3.3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var \
	    --with-openssl-libs=no --with-openssl-includes=no \
	    --with-db3-includes=/opt/evo-db3/include \
	    --with-db3-libs=/opt/evo-db3/lib \
	    --with-nspr-includes=/usr/include/mozilla-1.3/nspr \
	    --with-nspr-libs=/usr/lib \
	    --with-nss-includes=/usr/include/mozilla-1.3/nss \
	    --with-nss-libs=/usr/lib \
            --enable-nss=yes --with-openldap \
	    --enable-pilot-conduits=yes --with-pisock=/usr \
            --without-krb4 --with-krb5=/usr/kerberos \
	    --with-kde-applnk-path=/usr/share/applnk
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}; rm -f ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed May 7 2003 Ximian, Inc.

- Version: 1.3.3-0.ximian.2
- Summary: New build.
- New automated build.

